$(function() {
    // We use simple radio buttons for a while for rating
    //$('input[type=radio].star').rating();

    $('.auto-submit-star').rating();

    $('.open-comment-form').fancybox({
        'hideOnContentClick': false
    });

    $('button.usefulness_btn').click(function() {
        var id_product_comment = $(this).data('id-product-comment');
        var is_usefull = $(this).data('is-usefull');
        var parent = $(this).parent();

        $.ajax({
            url: productcomments_controller_url,
            data: {
                id_product_comment: id_product_comment,
                action: 'comment_is_usefull',
                value: is_usefull
            },
            type: 'POST',
            success: function(result){
                parent.fadeOut('slow', function() {
                    parent.remove();
                });
            }
        });
    });

    $('span.report_btn').click(function() {
        if (confirm(confirm_report_message))
        {
            var idProductComment = $(this).data('id-product-comment');
            var parent = $(this).parent();

            $.ajax({
                url: productcomments_controller_url,
                data: {
                    id_product_comment: idProductComment,
                    action: 'report_abuse'
                },
                type: 'POST',
                success: function(result){
                    parent.fadeOut('slow', function() {
                        parent.remove();
                    });
                }
            });
        }
    });

    $('#submitNewMessage').click(function(e) {
        // Kill default behaviour
        e.preventDefault();

        // Form element

        url_options = parseInt(productcomments_url_rewrite) ? '?' : '&';
        url_options = productcomments_controller_url.indexOf('?') !== -1 ? '&' : url_options;

        $.ajax({
            url: productcomments_controller_url+url_options+'action=add_comment&secure_key='+secure_key,
            data: $('#new_comment_form form').serialize(),
            type: 'POST',
            dataType: "json",
            success: function(data){
                if (data.result)
                {
                    $.fancybox.close();
                    document.location.href = document.location.href;
                }
                else
                {
                    var errors = '<ul>';
                    $.each(data.errors, function(index, value) {
                        errors += '<li>'+value+'</li>';
                    });
                    errors += '</ul>';
                    $('#new_comment_form_error .alert-danger ul:last-child').remove();
                    $('#new_comment_form_error .alert-danger').append(errors);
                    $('#new_comment_form_error').slideDown('slow');
                }
            }
        });
        return false;
    });
});
